Subject: bug#29717: closed (Re: bug#29717: python mode imenu and semantic imenu for python both fail to recognize any function with return-value annotations)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Aug 2020 20:26:02 +0000

Your bug report

#29717: python mode imenu and semantic imenu for python both fail to recognize any function with return-value annotations

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29717: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29717
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29717: python mode imenu and semantic imenu for python both fail to recognize any function with return-value annotations
From: Stefan Kangas <[email-masked]>
To: Glyph <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Aug 2020 13:25:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glyph <[email-masked]> writes:

> I'm not sure what version I originally reported this on, but
> everywhere I can test right now, it works.

That is excellent news.  Thanks for checking.

I'm consequently closing this bug report now.

Best regards,
Stefan Kangas

Subject: python mode imenu and semantic imenu for python both fail to recognize any function with return-value annotations
From: Glyph <[email-masked]>
To: [email-masked]
Date: Thu, 14 Dec 2017 19:54:05 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In all the various ways Emacs can display a buffer listing function names,

def foo():
    pass

shows me 'foo', and

def foo() -> int:
    pass

shows me nothing.

This is true for top-level functions as well as nested functions, as well as methods.